During regress-469044.js, "Assertion failure: slot < OBJ_SCOPE(obj2)->freeslot" at jsops.cpp:2306

RESOLVED WORKSFORME

Status

()

Core
JavaScript Engine
RESOLVED WORKSFORME
8 years ago
5 years ago

People

(Reporter: dholbert, Unassigned)

Tracking

({intermittent-failure})

Trunk
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

8 years ago
Linux mozilla-central debug test jsreftest on 2010/04/06 14:04:34
s: moz2-linux-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270587874.1270589184.11852.gz

{
REFTEST INFO | Loading file:///builds/moz2_slave/mozilla-central-linux-debug-unittest-jsreftest/build/jsreftest/tests/jsreftest.html?test=js1_5/Regress/regress-469044.js
++DOMWINDOW == 62 (0x9bd3848) [serial = 4251] [outer = 0x9a3e820]
begin test: js1_5/Regress/regress-469044.js
BUGNUMBER: 469044
STATUS: type unstable globals
---
---0
---00
---000
---000---
---000---0
---000---00
---000---000
 PASSED! type unstable globals: 1

0
00
000
0000
00000
000000
0000000
00000000
 PASSED! type unstable globals: 2

0
00
000
0000
00000
000000
0000000
00000000
 PASSED! type unstable globals: 3
Assertion failure: slot < OBJ_SCOPE(obj2)->freeslot, at /builds/slave/mozilla-central-linux-debug/build/js/src/jsops.cpp:2306
TEST-UNEXPECTED-FAIL | automation.py | Exited with code 6 during test run
}
Duplicate of this bug: 557612
The earlier two, that I persuaded myself were the fault of the slave running them:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270563939.1270565415.585.gz
WINNT 5.2 mozilla-central debug test jsreftest on 2010/04/06 07:25:39
s: win32-slave14

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270567875.1270569409.14208.gz
WINNT 5.2 mozilla-central debug test jsreftest on 2010/04/06 08:31:15
s: win32-slave14
(Reporter)

Updated

8 years ago
Blocks: 469044
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270597733.1270600685.16474.gz
WINNT 5.2 mozilla-central debug test jsreftest on 2010/04/06 16:48:53
s: win32-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270615435.1270616924.28436.gz
WINNT 5.2 mozilla-central debug test jsreftest on 2010/04/06 21:43:55
s: win32-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270624787.1270626309.17000.gz
WINNT 5.2 mozilla-central debug test jsreftest on 2010/04/07 00:19:47
s: win32-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270663717.1270665810.23792.gz
Linux mozilla-central debug test jsreftest on 2010/04/07 11:08:37
s: moz2-linux-slave02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270686999.1270688608.29323.gz
Linux mozilla-central debug test jsreftest on 2010/04/07 17:36:39
s: moz2-linux-slave21
OS: Linux → All
Hardware: x86 → All
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270719773.1270721101.19011.gz
OS X 10.5.2 mozilla-central debug test jsreftest on 2010/04/08 02:42:53
s: moz2-darwin9-slave12

Comment 9

8 years ago
I'll see if I can find this happening on the TM tree, and hopefully find the blame.

Comment 10

8 years ago
can't get this to fail under --valgrind and/or gczeal in the shell, going to try browser now.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270758802.1270759686.4940.gz
OS X 10.5.2 mozilla-central debug test jsreftest on 2010/04/08 13:33:22
s: bm-xserve07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270766576.1270767475.29451.gz
OS X 10.5.2 mozilla-central debug test jsreftest on 2010/04/08 15:42:56
s: bm-xserve07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270768752.1270770228.5959.gz
Linux mozilla-central debug test jsreftest on 2010/04/08 16:19:12
s: moz2-linux-slave28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270780075.1270780977.1456.gz
OS X 10.5.2 mozilla-central debug test jsreftest on 2010/04/08 19:27:55
s: bm-xserve07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270780251.1270782105.4515.gz
Linux mozilla-central debug test jsreftest on 2010/04/08 19:30:51
s: moz2-linux-slave41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270827823.1270829489.15712.gz
WINNT 5.2 mozilla-central debug test jsreftest on 2010/04/09 08:43:43
s: win32-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270855289.1270857498.30102.gz
Rev3 Fedora 12 mozilla-central debug test jsreftest on 2010/04/09 16:21:29
s: talos-r3-fed-032
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271101722.1271103097.25178.gz
Rev3 Fedora 12x64 mozilla-central debug test jsreftest on 2010/04/12 12:48:42
s: talos-r3-fed64-013
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271108544.1271109845.12024.gz
WINNT 5.2 mozilla-central debug test jsreftest on 2010/04/12 14:42:24
s: win32-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271131581.1271132490.9180.gz
OS X 10.5.2 mozilla-central debug test jsreftest on 2010/04/12 21:06:21
s: bm-xserve11

Comment 21

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271138872.1271139739.30210.gz&fulltext=1

This time it happened in a different test, js1_5/Regress/regress-351116.js.  That test isn't testing at all what it purports to test, so I'm going to change it in bug 558581.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271196788.1271198245.25336.gz
WINNT 5.2 mozilla-central debug test jsreftest on 2010/04/13 15:13:08
s: win32-slave37
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271230949.1271232443.6925.gz
Linux mozilla-central debug test jsreftest on 2010/04/14 00:42:29
s: moz2-linux-slave27
FWIW the failure in comment 23 appears to have happened after the reftests finished

REFTEST FINISHED: Slowest test took 35024ms (file:///builds/slave/mozilla-central-linux-debug-unittest-jsreftest/build/jsreftest/tests/jsreftest.html?test=js1_5/extensions/regress-365527.js)
REFTEST INFO | Result summary:
REFTEST INFO | Successful: 53901 (53901 pass, 0 load only)
REFTEST INFO | Unexpected: 0 (0 unexpected fail, 0 unexpected pass, 0 unexpected asserts, 0 unexpected fixed asserts, 0 failed load, 0 exception)
REFTEST INFO | Known problems: 1038 (92 known fail, 0 known asserts, 794 random, 152 skipped)
REFTEST INFO | Total canvas count = 0
REFTEST INFO | Quitting...
[snip DOMWINDOW garbage]
Assertion failure: slot < OBJ_SCOPE(obj2)->freeslot, at /builds/slave/mozilla-central-linux-debug/build/js/src/jsops.cpp:2306
NEXT ERROR TEST-UNEXPECTED-FAIL | automation.py | Exited with code 6 during test run
Blake, doesn't this sound like a bug related to JS_ClearScope on window objects that you fixed in the last few years?

/be
Bug 559422 is the same assertion in a different test.
This test is still running and it hasn't happened in almost 2 years. Calling
this WFM.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → WORKSFORME
Keywords: intermittent-failure
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.